Issue1139

classification
Title: crashes on isinstance
Type: Severity: normal
Components: Core Versions: 2.2.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Paul_vZ, pjenvey
Priority: low Keywords:

Created on 2008-09-30.14:12:24 by Paul_vZ, last changed 2009-06-21.22:12:17 by pjenvey.

Messages
msg3626 (view) Author: Paul (Paul_vZ) Date: 2008-09-30.14:12:24
On Ubuntu hardy with Jython 2.2.1 on java1.6.0_06

If I do:

isinstance(1, class) or isinstance("test", class)

Jython crashes with an (unclear)
org.python.parser.PythonGrammer.LookaheadSucces

I know it isn't good syntax of isinstance, but Jython should complain
and not crash.
msg4842 (view) Author: Philip Jenvey (pjenvey) Date: 2009-06-21.22:12:17
this is fixed in 2.5
History
Date User Action Args
2009-06-21 22:12:17pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg4842
nosy: + pjenvey
2008-12-15 19:09:23fwierzbickisetcomponents: + Core, - Any
2008-12-15 19:09:09fwierzbickisetpriority: low
versions: + 2.2.2, - Deferred
2008-09-30 14:12:24Paul_vZcreate